## golang-github-influxdata-flux 0.7.0+git20181121.54f9e3f

=== Makefile ===
# Top level Makefile for the entire project
#
# This Makefile encodes the "go generate" prerequeisites ensuring that the proper tooling is installed and
# that the generate steps are executed when their prerequeisites files change.
#
# This Makefile follows a few conventions:
#
#    * All cmds must be added to this top level Makefile.
#    * All binaries are placed in ./bin, its recommended to add this directory to your PATH.
#    * Each package that has a need to run go generate, must have its own Makefile for that purpose.
#    * All recursive Makefiles must support the targets: all and clean.
#

SUBDIRS = ast parser internal/scanner

GO_ARGS=-tags '$(GO_TAGS)'

# Test vars can be used by all recursive Makefiles
export GOOS=$(shell go env GOOS)
export GO_BUILD=env GO111MODULE=on go build $(GO_ARGS)
export GO_TEST=env GO111MODULE=on go test $(GO_ARGS)
# Do not add GO111MODULE=on to the call to go generate so it doesn't pollute the environment.
export GO_GENERATE=go generate $(GO_ARGS)
export GO_VET=env GO111MODULE=on go vet $(GO_ARGS)

# List of utilities to build as part of the build process
UTILS := \
	bin/$(GOOS)/pigeon \
	bin/$(GOOS)/cmpgen

all: $(UTILS) $(SUBDIRS)

$(SUBDIRS): $(UTILS)
	$(MAKE) -C $@ $(MAKECMDGOALS)

clean: $(SUBDIRS)
	rm -rf bin

bin/$(GOOS)/pigeon: go.mod go.sum
	$(GO_BUILD) -o $@ github.com/mna/pigeon

bin/$(GOOS)/cmpgen: ./ast/asttest/cmpgen/main.go
	$(GO_BUILD) -o $@ ./ast/asttest/cmpgen

fmt: $(SOURCES_NO_VENDOR)
	goimports -w $^

checkfmt:
	GO111MODULE=on go mod tidy
	@if ! git --no-pager diff --exit-code -- go.mod go.sum; then \
		>&2 echo "modules are not tidy, please run 'go mod tidy'"; \
		exit 1; \
	fi
	go fmt ./...
	@if ! git --no-pager diff --quiet; then \
		>&2 echo "files are not formatted, please run 'go fmt ./...'"; \
		exit 1; \
	fi

test:
	$(GO_TEST) ./...

test-race:
	$(GO_TEST) -race -count=1 ./...

vet:
	$(GO_VET) -v ./...

bench:
	$(GO_TEST) -bench=. -run=^$$ ./...


.PHONY: all clean fmt test test-race vet bench checkfmt $(SUBDIRS)

=== ast/Makefile ===
SUBDIRS = asttest

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

all: $(SUBDIRS)

clean: $(SUBDIRS)


.PHONY: all clean subdirs $(SUBDIRS)

=== parser/Makefile ===
all: flux.go

flux.go: flux.peg parser.go parser_debug.go ../bin/$(GOOS)/pigeon
	PATH=../bin/${GOOS}:${PATH} $(GO_GENERATE) -x ./...

clean:
	rm -f flux.go

.PHONY: all clean

=== ast/asttest/Makefile ===
all: cmpopts.go

cmpopts.go: ../ast.go gen.go ../../bin/$(GOOS)/cmpgen
	PATH=../../bin/${GOOS}:${PATH} $(GO_GENERATE) -x ./...

clean:
	rm -f cmpopts.go

.PHONY: all clean

=== internal/scanner/Makefile ===
GO_GENERATE := go generate $(GO_ARGS)

all: scanner.gen.go

scanner.gen.go: scanner.rl unicode.rl unicode2ragel.rb
	$(GO_GENERATE) -x

clean:
	rm -f scanner.gen.go unicode.rl

.PHONY: all clean

=== debian/changelog ===
golang-github-influxdata-flux (0.7.0+git20181121.54f9e3f-1) unstable; urgency=medium

  * Initial release (Closes: #914299)

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 12:18:11 -0500

=== debian/control ===
Source: golang-github-influxdata-flux
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-andreyvit-diff-dev,
               golang-github-c-bata-go-prompt-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-google-go-cmp-dev,
               golang-github-influxdata-line-protocol-dev,
               golang-github-influxdata-tdigest-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-segmentio-kafka-go-dev,
               golang-go.uber-zap-dev (>=1.9.1),
               golang-pq-dev,
               golang-prometheus-client-dev
Standards-Version: 4.2.1
Homepage: https://github.com/influxdata/flux
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-influxdata-flux
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-influxdata-flux.git
XS-Go-Import-Path: github.com/influxdata/flux
Testsuite: autopkgtest-pkg-go

Package: golang-github-influxdata-flux-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-andreyvit-diff-dev,
         golang-github-c-bata-go-prompt-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-google-go-cmp-dev,
         golang-github-influxdata-line-protocol-dev,
         golang-github-influxdata-tdigest-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-segmentio-kafka-go-dev,
         golang-go.uber-zap-dev (>=1.9.1),
         golang-pq-dev,
         golang-prometheus-client-dev
Description: lightweight scripting language for querying databases
 Flux is a lightweight scripting language for querying databases (like InfluxDB)
 and working with data. It's part of InfluxDB 1.7 and 2.0, but can be run
 independently of those.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# Some test dependencies are not
	# at the right version in Debian for now.

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/bin/*
	rmdir debian/*/usr/bin

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-influxdata-flux-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/influxdata/flux/tags .*/v?(\d\S*)\.tar\.gz
